goog.provide('cljs.nodejs');
goog.require('cljs.core');
cljs.nodejs.require = require;
cljs.nodejs.process = process;
cljs.nodejs.enable_util_print_BANG_ = (function cljs$nodejs$enable_util_print_BANG_(){
cljs.core._STAR_print_newline_STAR_ = false;

cljs.core._STAR_print_fn_STAR_ = (function() { 
var G__33091__delegate = function (args){
return console.log.apply(console,cljs.core.into_array.call(null,args));
};
var G__33091 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__33092__i = 0, G__33092__a = new Array(arguments.length -  0);
while (G__33092__i < G__33092__a.length) {G__33092__a[G__33092__i] = arguments[G__33092__i + 0]; ++G__33092__i;}
  args = new cljs.core.IndexedSeq(G__33092__a,0,null);
} 
return G__33091__delegate.call(this,args);};
G__33091.cljs$lang$maxFixedArity = 0;
G__33091.cljs$lang$applyTo = (function (arglist__33093){
var args = cljs.core.seq(arglist__33093);
return G__33091__delegate(args);
});
G__33091.cljs$core$IFn$_invoke$arity$variadic = G__33091__delegate;
return G__33091;
})()
;

cljs.core._STAR_print_err_fn_STAR_ = (function() { 
var G__33094__delegate = function (args){
return console.error.apply(console,cljs.core.into_array.call(null,args));
};
var G__33094 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__33095__i = 0, G__33095__a = new Array(arguments.length -  0);
while (G__33095__i < G__33095__a.length) {G__33095__a[G__33095__i] = arguments[G__33095__i + 0]; ++G__33095__i;}
  args = new cljs.core.IndexedSeq(G__33095__a,0,null);
} 
return G__33094__delegate.call(this,args);};
G__33094.cljs$lang$maxFixedArity = 0;
G__33094.cljs$lang$applyTo = (function (arglist__33096){
var args = cljs.core.seq(arglist__33096);
return G__33094__delegate(args);
});
G__33094.cljs$core$IFn$_invoke$arity$variadic = G__33094__delegate;
return G__33094;
})()
;

return null;
});
